RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1655605 - yum list available --showduplicates will list not only available packages but packages installed on the system.
Summary: yum list available --showduplicates will list not only available packages but...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: All
OS: All
high
high
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Jan Blazek
URL:
Whiteboard:
Depends On: 1650275 1681084
Blocks: 1701002
TreeView+ depends on / blocked
 
Reported: 2018-12-03 14:27 UTC by Jan Blazek
Modified: 2022-03-13 16:18 UTC (History)
6 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1650275
Environment:
Last Closed: 2019-11-05 22:20:50 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 0 None None None 2019-11-05 22:21:04 UTC

Description Jan Blazek 2018-12-03 14:27:01 UTC
This is also relevant for RHEL-8.

+++ This bug was initially created as a clone of Bug #1650275 +++

Description of problem:
yum4 list available --showduplicates will list not only available packages but packages installed on the system.

# yum list available kernel --showduplicates --disablerepo=rhel-7-server-rpms
   Error: No matching Packages to list

# yum4 list available kernel --showduplicates --disablerepo=rhel-7-server-rpms
   Available Packages
   kernel.x86_64                           3.10.0-862.3.3.el7                             @System
   kernel.x86_64                           3.10.0-862.11.6.el7                            @System
   kernel.x86_64                           3.10.0-957.el7                                 @System

If the package is actually available, it will show it twice. Once as @System  and once in the repo

# yum4 list available kernel --showduplicates 
   <snip>
   kernel.x86_64                      3.10.0-862.3.3.el7                       @System           
   kernel.x86_64                      3.10.0-862.3.3.el7                       rhel-7-server-rpms
   kernel.x86_64                      3.10.0-957.el7                           @System           
   kernel.x86_64                      3.10.0-957.el7                           rhel-7-server-rpms

================================================


Version-Release number of selected component (if applicable):
nextgen-yum4-2.7.5-17.el7.noarch
python2-dnf-2.7.5-17.el7.noarch
libdnf-0.11.1-3.el7.x86_64
dnf-data-2.7.5-17.el7.noarch
dnf-2.7.5-17.el7.noarch


How reproducible:
everytime

Steps to Reproduce:
1. # yum4 list available kernel --showduplicates --disablerepo=rhel-7-server-rpms
2.
3.

Actual results:
   Available Packages
   kernel.x86_64                           3.10.0-862.3.3.el7                             @System
   kernel.x86_64                           3.10.0-862.11.6.el7                            @System
   kernel.x86_64                           3.10.0-957.el7                                 @System


Expected results:
   Error: No matching Packages to list


Additional info:
I would consider a package only Available if you could access it. An installed package is not accessible. yum4 output would agree.

# yum4 reinstall kernel-3.10.0-862.3.3.el7 --disablerepo=rhel-7-server-rpms
   Installed package kernel-3.10.0-862.3.3.el7.x86_64 not available.

Comment 4 Jaroslav Mracek 2019-03-07 17:59:22 UTC
I create a patch that prevent adding installed packages into list of availables (https://github.com/rpm-software-management/dnf/pull/1349). Please do you have a test for the issue?

Comment 12 errata-xmlrpc 2019-11-05 22:20:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.